[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpFD_ISSET

Check whether a file descriptor is set

## Declaration

Source position: bunxovlh.inc line 75

`function fpFD_ISSET(`
`fdno: cint;`
`const nset: TFDSet`
`):cint;`

## Description

FpFD_Set Checks whether file descriptor fdNo in file descriptor set fds is set. It returns zero if the descriptor is not set, 1 if it is set. If the number of the file descriptor it wrong, -1 is returned.

For an example, see FpSelect.

## Errors

If an invalid file descriptor number is passed, -1 is returned.

## See also

FpSelect |  | Wait for events on file descriptors
FpFD_ZERO |  | Clear all file descriptors in set
FpFD_Clr |  | Clears a file descriptor in a set
FpFD_Set |  | Set a file descriptor in a set